=== debian/changelog ===
k9call (0.1-1) unstable; urgency=low

  * Initial release

 -- Benson Tsai <btsai@vrwarp.com>  Thu, 15 Jul 2010 16:39:24 +0300
