=== debian/changelog ===
k9call (0.1-2) unstable; urgency=low

  * Modified layout to have a dedicated picture area
  * Scaled the picture to 90x90px
  * Made part of the widget semitransparent
  * Made clear/call buttons colored

 -- Benson Tsai <btsai@vrwarp.com>  Thu, 17 Jul 2010 16:39:24 +0300
