=== debian/control ===
Source: k9call
Section: user/utilities
Priority: extra
Maintainer: Benson Tsai <btsai@vrwarp.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libx11-dev
Standards-Version: 3.7.3

Package: k9call
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtm-contacts, libqt4-dbus, libqt4-gui, qt4-homescreen-loader
Description: Use a T9 inspired method of contact lookup.
XB-Maemo-Display-Name: T9 Call
