## k9call 0.1-3

=== debian/changelog ===
k9call (0.1-3) unstable; urgency=low

  * Fixed a bug where the picture would not be cleared
  * Implemented font scaling for the name of the person

 -- Benson Tsai <btsai@vrwarp.com>  Thu, 17 Jul 2010 17:39:24 +0300
