=== debian/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqtm-contacts, libqt4-dbus, libqt4-gui, qt4-homescreen-loader
 Description: Use a T9 inspired method of contact lookup.
-XB-Maemo-Display-Name: T9 Call
+XB-Maemo-Display-Name: K9 Call
