=== debian/changelog ===
k9call (0.1-4) unstable; urgency=low

  * No functionality changes
  * Changed display name
  * Added bug tracker information

 -- Benson Tsai <btsai@vrwarp.com>  Thu, 17 Jul 2010 18:39:24 +0300
