=== debian/control ===
--- 
+++ 
@@ -10,3 +10,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqtm-contacts, libqt4-dbus, libqt4-gui, qt4-homescreen-loader
 Description: Use a T9 inspired method of contact lookup.
 XB-Maemo-Display-Name: K9 Call
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1761
